PETSc version 3.15.5
Fix/Edit manual page

# DMForestSetPartitionOverlap

During the pre-setup phase, set the amount of cell-overlap present in parallel partitions of a forest, with values > 0 indicating subdomains that are expanded by that many iterations of adding adjacent cells

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMForestSetPartitionOverlap(DM dm, PetscInt overlap)

Logically collective on dm

### Input Parameters

| dm | - the forest
| overlap | - default 0

### See Also

DMForestGetPartitionOverlap(), DMForestSetAdjacencyDimension(), DMForestSetAdjacencyCodimension()

### Level

intermediate

### Location

src/dm/impls/forest/forest.c
Index of all DMFOREST routines
Table of Contents for all manual pages
Index of all manual pages